Package ru.bitel.bgbilling.modules.phone.server.bean

# Class GateManager

java.lang.Object
ru.bitel.bgbilling.modules.phone.server.bean.GateManager

    public class GateManager
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.sql.Connection` | `con` |
  `protected int` | `mid` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `GateManager​(java.sql.Connection con, int mid)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addContractGate​(int cid, int gid)` |
  `void` | `delete​(int id)` |
  `void` | `deleteContractGate​(int cid, int gid)` |
  `java.util.List<Gate>` | `getContractGates​(int cid)` |
  `Gate` | `getGateById​(int id)` |
  `boolean` | `isGateTypeUsed​(int gateTypeId)` |
  `boolean` | `isGateUsed​(int gateId)` |
  `java.util.List<Gate>` | `list()` |
  `void` | `update​(Gate gate)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### mid

    protected int mid

  - ### con

    protected java.sql.Connection con

- ## Constructor Details

  - ### GateManager

    public GateManager​(java.sql.Connection con, int mid)

- ## Method Details

  - ### list

    public java.util.List<Gate> list() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### update

    public void update​(Gate gate) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getGateById

    public Gate getGateById​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### delete

    public void delete​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### isGateTypeUsed

    public boolean isGateTypeUsed​(int gateTypeId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractGates

    public java.util.List<Gate> getContractGates​(int cid) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addContractGate

    public void addContractGate​(int cid, int gid) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteContractGate

    public void deleteContractGate​(int cid, int gid) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### isGateUsed

    public boolean isGateUsed​(int gateId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`